> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Request mediastreamvalidator report as JSON Body Method



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 post /v1/probe/mediastreamvalidator
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /v1/probe/mediastreamvalidator:
    servers:
      - url: api.probedev.com
    post:
      tags:
        - Media
      summary: Request mediastreamvalidator report as JSON Body Method
      operationId: routes/gateway.PostMediaStreamValidator
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GatewayPostMediaStreamValidatorRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/FormDataGatewayPostMediaStreamValidatorRequest
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayPostMediaStreamValidatorResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
      security:
        - api_key: []
        - api_key_header: []
components:
  schemas:
    GatewayPostMediaStreamValidatorRequest:
      properties:
        enable_cli_output:
          default: false
          type: boolean
        inject_json:
          type: boolean
        inject_output:
          default: true
          type: boolean
        parse_playlist_only:
          default: true
          type: boolean
        queue_timeout:
          default: 600000
          format: int64
          type: integer
        timeout:
          default: 650000
          format: int64
          type: integer
        url:
          type: string
      required:
        - url
      type: object
    FormDataGatewayPostMediaStreamValidatorRequest:
      properties:
        enable_cli_output:
          default: false
          type: boolean
        inject_json:
          type: boolean
        inject_output:
          default: true
          type: boolean
        parse_playlist_only:
          default: true
          type: boolean
        queue_timeout:
          default: 600000
          format: int64
          type: integer
        timeout:
          default: 650000
          format: int64
          type: integer
        url:
          type: string
      required:
        - url
      type: object
    GatewayPostMediaStreamValidatorResponse:
      properties:
        cli_output:
          type:
            - 'null'
            - string
        error:
          type:
            - 'null'
            - string
        metadata:
          $ref: '#/components/schemas/ResponsecommonResponseMetadata'
        output: {}
        success:
          type: boolean
      type: object
    ResponsecommonResponseMetadata:
      properties:
        duration:
          minimum: 0
          type:
            - 'null'
            - integer
        io_usage:
          minimum: 0
          type:
            - 'null'
            - integer
        queue_time:
          minimum: 0
          type:
            - 'null'
            - integer
        request_id:
          type:
            - 'null'
            - string
        usage:
          minimum: 0
          type:
            - 'null'
            - integer
      type: object
  securitySchemes:
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer

````